ページコンテンツを取得
curl --request GET \
--url https://api.olostep.com/v1/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"html_content": "<string>",
"markdown_content": "<string>",
"json_content": "<string>",
"html_hosted_url": "<string>",
"markdown_hosted_url": "<string>",
"json_hosted_url": "<string>",
"size_exceeded": true
}取得
コンテンツの取得
処理済みバッチとクロールURLのコンテンツを取得します。
GET
/
v1
/
retrieve
ページコンテンツを取得
承認
Bearer認証ヘッダーの形式はBearer で、はあなたの認証トークンです。
クエリパラメータ
取得するページコンテンツのID。/v1/crawls/{crawl_id}/pages、/v1/scrapes/{scrape_id}、または/v1/batches/{batch_id}/itemsエンドポイントのレスポンスで利用可能
本番環境で特定のフォーマットのみを取得するためのオプションの配列。指定しない場合、すべてのフォーマットが返されます。
利用可能なオプション:
html, markdown, json レスポンス
ページコンテンツを含む成功レスポンス。
リクエストされ、利用可能な場合のページのHTMLコンテンツ。
リクエストされ、利用可能な場合のページのMarkdownコンテンツ。
リクエストされ、利用可能な場合のパーサーから返されたページのJSONコンテンツ。
HTMLのS3バケットURL。7日間有効。
MarkdownのS3バケットURL。7日間有効。
JSONのS3バケットURL。7日間有効。
コンテンツオブジェクトのサイズが6MBの制限を超える場合。trueの場合、ホストされたS3 URLを使用してコンテンツを取得してください。
このページは役に立ちましたか?